Package: org.codehaus.groovy.tools.shell

## [Groovy] Class Interpreter

- org.codehaus.groovy.tools.shell.Interpreter

- Helper to interpret a source buffer.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SCRIPT_FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Interpreter (ClassLoader classLoader, Binding binding)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `evaluate(Collection<String> buffer)`
    `GroovyClassLoader` | `getClassLoader()`
    `Binding` | `getContext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String SCRIPT_FILENAME

  - ### Constructor Detail

    - #### Interpreter(ClassLoader classLoader, Binding binding)

  - ### Method Detail

    - #### def evaluate(Collection<String> buffer)

    - #### GroovyClassLoader getClassLoader()

    - #### Binding getContext()